Class | FFI::StructLayoutBuilder
In: | lib/ffi/struct_layout_builder.rb
Parent: | Object

### Methods

add add_array add_field add_struct alignment= build new packed= size= union= union?

### Constants

NUMBER_TYPES | = | [ Type::INT8, Type::UINT8, Type::INT16, Type::UINT16, Type::INT32, Type::UINT32, Type::LONG, Type::ULONG, Type::INT64, Type::UINT64, Type::FLOAT32, Type::FLOAT64, Type::BOOL, ]

### Attributes

alignment | [R] |
size | [R] |

### Public Class methods

new()

### Public Instance methods

add(name, type, offset = nil)
add_array(name, type, count, offset = nil)
add_field(name, type, offset = nil)
add_struct(name, type, offset = nil)
alignment=(align)
build()
packed=(packed)
size=(size)
union=(is_union)
union?()

[Validate]